#!/bin/bash

kernel=4.19.118-v7+
driver=mt7612

module_bin="mt7662u_sta.ko"
module_dir="/lib/modules/$kernel/kernel/drivers/net/wireless"

sudo mkdir -p /etc/Wireless/RT2870STA/
sudo mv RT2870STA.dat /etc/Wireless/RT2870STA/
echo "sudo mv blacklist-mt76x2u.conf /etc/modprobe.d"

if [ -f 95-ralink.rules ] ; then
sudo mv 95-ralink.rules /etc/udev/rules.d/
elif [ -f /etc/udev/rules.d/95-ralink.rules ] ; then
sudo rm /etc/udev/rules.d/95-ralink.rules
fi

sudo chown root:root $module_bin
sudo chmod 644 $module_bin
echo "sudo install -p -m 644 $module_bin $module_dir"
sudo install -p -m 644 $module_bin $module_dir
echo "sudo depmod $kernel"
sudo depmod $kernel
sudo rm $module_bin
sudo rm -f $driver* > /dev/null 2>&1

echo
echo "Reboot to run the driver."
echo
echo "If you have already configured your wifi it should start up and connect to your"
echo "wireless network."
echo
echo "If you have not configured your wifi you will need to do that to enable the wifi."

rm -f install.sh  > /dev/null 2>&1
